hdf5-1.8.15: Haskell interface to the HDF5 scientific data storage library.

Safe Haskell | None
Language | Haskell2010

Bindings.HDF5.Group

Description

Typesafe wrappers around HDF5 functions from the H5G API.

Feature coverage is as follows:

h5g_get_info [ OK ] h5g_get_objname_by_idx FAIL h5g_get_objinfo FAIL h5g_iterate FAIL h5g_get_info_by_idx [ FAIL ] h5g_link FAIL h5g_unlink FAIL h5g_get_objtype_by_idx FAIL h5g_get_linkval FAIL h5g_create_anon [ OK ] h5g_get_info_by_name [ OK ] h5g_get_num_objs FAIL h5g_close [ OK ] h5g_move FAIL h5g_open1 FAIL h5g_open2 [ OK ] h5g_link2 FAIL h5g_set_comment FAIL h5g_get_comment FAIL h5g_get_create_plist [ FAIL ] h5g_move2 FAIL h5g_create2 [ OK ] h5g_create1 FAIL

Synopsis

- data Group
- createGroup :: Location t => t -> ByteString -> Maybe LCPL -> Maybe GCPL -> Maybe GAPL -> IO Group
- createAnonymousGroup :: Location t => t -> Maybe GCPL -> Maybe GAPL -> IO Group
- openGroup :: Location t => t -> ByteString -> Maybe GAPL -> IO Group
- closeGroup :: Group -> IO ()
- data GroupStorageType
  - = CompactStorage
  - | DenseStorage
  - | SymbolTableStorage
  - | UnknownStorage
- data GroupInfo = GroupInfo {
  - groupStorageType :: !GroupStorageType
  - groupNLinks :: !HSize
  - groupMaxCOrder :: !Int64
  - groupMounted :: !Bool
  }
- getGroupInfo :: Group -> IO GroupInfo
- getGroupInfoByName :: Location loc => loc -> ByteString -> Maybe LAPL -> IO GroupInfo

# Documentation

data Group Source #

#### Instances

Instances details

Eq Group Source # |
Instance details Defined in Bindings.HDF5.Group Methods (==) :: Group -> Group -> Bool Source # (/=) :: Group -> Group -> Bool Source #
HDFResultType Group Source # |
Instance details Defined in Bindings.HDF5.Group Methods isError :: Group -> Bool Source #
FromHId Group Source # |
Instance details Defined in Bindings.HDF5.Group Methods uncheckedFromHId :: HId_t -> Group Source #
HId Group Source # |
Instance details Defined in Bindings.HDF5.Group Methods hid :: Group -> HId_t Source #
Location Group Source # |
Instance details Defined in Bindings.HDF5.Group
Object Group Source # |
Instance details Defined in Bindings.HDF5.Group Methods staticObjectType :: Tagged Group (Maybe ObjectType) Source #

createGroup Source #

Arguments

:: Location t |
=> t | Parent location for the group
-> ByteString | Group name
-> Maybe LCPL | Link creation properties
-> Maybe GCPL | Group creation properties
-> Maybe GAPL | Group access properties
-> IO Group | Resulting group

Create a group given name, location and properties

createAnonymousGroup Source #

Arguments

:: Location t |
=> t | Parent location for the group
-> Maybe GCPL | Group creation properties
-> Maybe GAPL | Group access properties
-> IO Group | Resulting group

Create an anonymous group without a name

openGroup Source #

Arguments

:: Location t |
=> t | Parent location
-> ByteString | Group name
-> Maybe GAPL | Group access properties
-> IO Group | Resulting group

Open an existing group

closeGroup :: Group -> IO () Source #

Close a group

data GroupStorageType Source #

Constructors

CompactStorage |
DenseStorage |
SymbolTableStorage |
UnknownStorage |

#### Instances

Instances details

Bounded GroupStorageType Source # |
Instance details Defined in Bindings.HDF5.Group Methods minBound :: GroupStorageType Source # maxBound :: GroupStorageType Source #
Enum GroupStorageType Source # |

Instance details

Defined in Bindings.HDF5.Group

Methods

succ :: GroupStorageType -> GroupStorageType Source #

pred :: GroupStorageType -> GroupStorageType Source #

toEnum :: Int -> GroupStorageType Source #

fromEnum :: GroupStorageType -> Int Source #

enumFrom :: GroupStorageType -> [GroupStorageType] Source #

enumFromThen :: GroupStorageType -> GroupStorageType -> [GroupStorageType] Source #

enumFromTo :: GroupStorageType -> GroupStorageType -> [GroupStorageType] Source #

enumFromThenTo :: GroupStorageType -> GroupStorageType -> GroupStorageType -> [GroupStorageType] Source #

Read GroupStorageType Source # |
Instance details Defined in Bindings.HDF5.Group Methods readsPrec :: Int -> ReadS GroupStorageType Source # readList :: ReadS [GroupStorageType] Source # readPrec :: ReadPrec GroupStorageType Source # readListPrec :: ReadPrec [GroupStorageType] Source #
Show GroupStorageType Source # |
Instance details Defined in Bindings.HDF5.Group Methods showsPrec :: Int -> GroupStorageType -> ShowS Source # show :: GroupStorageType -> String Source # showList :: [GroupStorageType] -> ShowS Source #
Eq GroupStorageType Source # |
Instance details Defined in Bindings.HDF5.Group Methods (==) :: GroupStorageType -> GroupStorageType -> Bool Source # (/=) :: GroupStorageType -> GroupStorageType -> Bool Source #
Ord GroupStorageType Source # |

Instance details

Defined in Bindings.HDF5.Group

Methods

compare :: GroupStorageType -> GroupStorageType -> Ordering Source #

(<) :: GroupStorageType -> GroupStorageType -> Bool Source #

(<=) :: GroupStorageType -> GroupStorageType -> Bool Source #

(>) :: GroupStorageType -> GroupStorageType -> Bool Source #

(>=) :: GroupStorageType -> GroupStorageType -> Bool Source #

max :: GroupStorageType -> GroupStorageType -> GroupStorageType Source #

min :: GroupStorageType -> GroupStorageType -> GroupStorageType Source #

data GroupInfo Source #

Constructors

GroupInfo |

Fields

- groupStorageType :: !GroupStorageType
- groupNLinks :: !HSize
- groupMaxCOrder :: !Int64
- groupMounted :: !Bool

#### Instances

Instances details

Read GroupInfo Source # |
Instance details Defined in Bindings.HDF5.Group Methods readsPrec :: Int -> ReadS GroupInfo Source # readList :: ReadS [GroupInfo] Source # readPrec :: ReadPrec GroupInfo Source # readListPrec :: ReadPrec [GroupInfo] Source #
Show GroupInfo Source # |
Instance details Defined in Bindings.HDF5.Group Methods showsPrec :: Int -> GroupInfo -> ShowS Source # show :: GroupInfo -> String Source # showList :: [GroupInfo] -> ShowS Source #
Eq GroupInfo Source # |
Instance details Defined in Bindings.HDF5.Group Methods (==) :: GroupInfo -> GroupInfo -> Bool Source # (/=) :: GroupInfo -> GroupInfo -> Bool Source #
Ord GroupInfo Source # |

Instance details

Defined in Bindings.HDF5.Group

Methods

compare :: GroupInfo -> GroupInfo -> Ordering Source #

(<) :: GroupInfo -> GroupInfo -> Bool Source #

(<=) :: GroupInfo -> GroupInfo -> Bool Source #

(>) :: GroupInfo -> GroupInfo -> Bool Source #

(>=) :: GroupInfo -> GroupInfo -> Bool Source #

max :: GroupInfo -> GroupInfo -> GroupInfo Source #

min :: GroupInfo -> GroupInfo -> GroupInfo Source #

getGroupInfo :: Group -> IO GroupInfo Source #

getGroupInfoByName :: Location loc => loc -> ByteString -> Maybe LAPL -> IO GroupInfo Source #